> For the complete documentation index, see [llms.txt](https://docs-legacy.dfns.co/d/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-legacy.dfns.co/d/api-docs/fee-sponsors/create-fee-sponsor.md).

# Create Fee Sponsor

`POST /fee-sponsors`

Creates a new `FeeSponsor` associated with a wallet. Returns a new fee sponsor entity.&#x20;

{% hint style="info" %}

* User action signature required. See [User Action Signing](/d/api-docs/authentication/user-action-signing.md) for more information.
* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

<table><thead><tr><th width="374">Name</th><th>Conditions</th></tr></thead><tbody><tr><td><code>FeeSponsors:Create</code></td><td>Always Required</td></tr></tbody></table>

## Request <a href="#request-body" id="request-body"></a>

<table><thead><tr><th width="203">Field</th><th>Description</th><th width="184">Type - Optional</th></tr></thead><tbody><tr><td><code>walletId</code></td><td>Id of the wallet that will be used to sponsor the fee for other wallets</td><td>String</td></tr></tbody></table>

### Example

```shell
{
  "walletId": "wa-759uq-tlr7k-9ljofi7pijl99tfg"
}
```

## Response <a href="#response" id="response"></a>

| Field         | Description                                                                             | Type - Optional |
| ------------- | --------------------------------------------------------------------------------------- | --------------- |
| `id`          | ID of the wallet.                                                                       | String          |
| `network`     | Network used for the wallet.                                                            | String          |
| `walletId`    | Id of the wallet that will be used to sponsor the fee for other wallets                 | String          |
| `status`      | `Active` or `Deactivated`                                                               | String          |
| `dateCreated` | [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date string when wallet was created. | String          |

### 200 Success <a href="#response-example" id="response-example"></a>

```json
{
  "id": "fs-1f04s-lqc9q-xxxxxxxxxxxxxxxx",
  "walletId": "wa-1f04s-lqc9q-xxxxxxxxxxxxxxxx",
  "network": "Solana",
  "status": "Active",
  "dateCreated": "2023-04-14T20:41:28.715Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/fee-sponsors/create-fee-sponsor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
